ij (Apache Derby 10.3 API Documentation)
Keywords: org.apache.derby.tools.ij class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.tools
Class ij

    java.lang.Object
      org.apache.derby.tools.ij

public class ij
extends java.lang.Object

ij is Derby's interactive JDBC scripting tool. It is a simple utility for running scripts against a Derby database. You can also use it interactively to run ad hoc queries. ij provides several commands for ease in accessing a variety of JDBC features.

To run from the command line enter the following:

java [options] org.apache.derby.tools.ij [arguments]

ij is can also be used with any database server that supports a JDBC driver.

Method Summary
`static java.lang.String` | `getArg(java.lang.String param, java.lang.String[] args)`
`static void` | `getPropertyArg(java.lang.String[] args)`
`static void` | `main(java.lang.String[] args)`
`static int` | `runScript(java.sql.Connection conn, java.io.InputStream sqlIn, java.lang.String inputEncoding, java.io.OutputStream sqlOut, java.lang.String outputEncoding)` Run a SQL script from an InputStream and write the resulting output to the provided PrintStream.
`static java.sql.Connection` | `startJBMS()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException` - thrown if cannot access input or output files.

### runScript

    public static int runScript(java.sql.Connection conn,
                                java.io.InputStream sqlIn,
                                java.lang.String inputEncoding,
                                java.io.OutputStream sqlOut,
                                java.lang.String outputEncoding)
                         throws java.io.UnsupportedEncodingException

  Run a SQL script from an InputStream and write the resulting output to the provided PrintStream. SQL commands are separated by a semi-colon ';' character.

  Parameters:
    `conn` - Connection to be used as the script's default connection.
    `sqlIn` - InputStream for the script.
    `inputEncoding` - Encoding of the script.
    `sqlOut` - OutputStream for the script's output
    `outputEncoding` - Output encoding to use.
  Returns:
    Number of SQLExceptions thrown during the execution, -1 if not known.
  Throws:
    `java.io.UnsupportedEncodingException`

### getArg

    public static java.lang.String getArg(java.lang.String param,
                                          java.lang.String[] args)

### getPropertyArg

    public static void getPropertyArg(java.lang.String[] args)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### startJBMS

    public static java.sql.Connection startJBMS()
                                         throws java.sql.SQLException,
                                                java.lang.IllegalAccessException,
                                                java.lang.ClassNotFoundException,
                                                java.lang.InstantiationException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2007-08-01 06:53:39-0700, from revision 561794
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.3 API Documentation - Copyright © 2004,2007 The Apache Software Foundation. All Rights Reserved.